DROP TABLE IF EXISTS url;
CREATE TABLE url
(
  id INT NOT NULL AUTO_INCREMENT PRIMARY KEY,
  url_md5 VARBINARY(32) NOT NULL,
  url VARCHAR(255) NOT NULL
) ENGINE=InnoDB;

ALTER TABLE url ADD UNIQUE INDEX url_md5_idx (url_md5);


DROP TABLE IF EXISTS url_content;
CREATE TABLE url_content
(
  id INT NOT NULL PRIMARY KEY,
  title VARCHAR(255) NOT NULL,
  content BLOB NOT NULL
) ENGINE=InnoDB;


DROP TABLE IF EXISTS sphinx_counter;
CREATE TABLE sphinx_counter
(
  id INT NOT NULL PRIMARY KEY,
  max_id INT NOT NULL,
  index_name VARCHAR(32) NOT NULL,
  KEY index_name (index_name)
) ENGINE=InnoDB;

INSERT INTO sphinx_counter VALUES (1,1,'url'),(2,1,'url_delta');
