use ExtUtils::MakeMaker;
# See lib/ExtUtils/MakeMaker.pm for details of how to influence
# the contents of the Makefile that is written.
#print "\nIMPORTANT!\nTo install this module you will need :\n"; 
WriteMakefile(
    'NAME'      => 'Narada',
    'VERSION_FROM' => 'Narada.pm', # finds $VERSION
     # 0 could be used, but is printed (which is confusing) 
     # so use '' instead
    'PREREQ_PM' => {
	'DBI'		   => '',
	'DBD::mysql'	   => '',
	'Apache2::Request' => '',
	'Template'	   => '',
	'Digest::MD5'	   => '',
	'JSON::XS'	   => '',
	'Sphinx::Search'   => '',
	'CGI'		   => '',
	'DBIx::Password'   => '',
	'Cache::Memcached' => '',
	'Cache::Memcached::libmemcached' => '',
	'Storable'	   => '',
	'Mail::Sendmail'   => '',
	'Email::Valid'	   => '',
	'HTML::Entities'   => '',
	'File::Slurp'	   => '',
	'HTML::Strip'      => '',
      },
    'PREREQ_PRINT'    => 1,
    'PM'        => {
    'Narada.pm'                     => '$(INST_LIBDIR)/Narada.pm' ,
    'Narada/LoginHandler.pm'        => '$(INST_LIBDIR)/Narada/LoginHandler.pm',
    'Narada/AccountHandler.pm'      => '$(INST_LIBDIR)/Narada/AccountHandler.pm',
    'Narada/AjaxAccountHandler.pm'  => '$(INST_LIBDIR)/Narada/AjaxAccountHandler.pm',
    'Narada/SearchHandler.pm'       => '$(INST_LIBDIR)/Narada/SearchHandler.pm',
    'Narada/URLHandler.pm'          => '$(INST_LIBDIR)/Narada/URLHandler.pm',
    'Narada/URLQueueHandler.pm'     => '$(INST_LIBDIR)/Narada/URLQueueHandler.pm',
    }
);

